com.holonplatform.core.beans

## Class BeanConfigProperties.BeanConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.core.beans.BeanConfigProperties.BeanConfigPropertiesImpl

- All Implemented Interfaces:
    BeanConfigProperties, ConfigPropertySet
  Enclosing interface:
    BeanConfigProperties

      public static class BeanConfigProperties.BeanConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements BeanConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.beans.BeanConfigProperties

      `BeanConfigProperties.BeanConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `ConfigPropertySet.Builder<C extends ConfigPropertySet>, ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.beans.BeanConfigProperties

      `BEAN_INTROSPECTOR_CACHE_ENABLED, NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanConfigPropertiesImpl()`

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.beans.BeanConfigProperties

      `builder, getName, isBeanIntrospectorCacheEnabled`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### BeanConfigPropertiesImpl

          public BeanConfigPropertiesImpl()

Copyright © 2019 The Holon Platform. All rights reserved.